Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608575 - Review Request: tinymce-spellchecker - TinyMCE spellchecker plugin
Review Request: tinymce-spellchecker - TinyMCE spellchecker plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: tinymce
Blocks: 481536
  Show dependency treegraph
 
Reported: 2010-06-28 03:26 EDT by Neal Gompa
Modified: 2012-04-08 07:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: tinymce-spellchecker-2.0.5-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-10 14:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Gompa 2010-06-28 03:26:10 EDT
Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker-2.0.3-1.fc12.src.rpm

Description: 

This plugin adds spellchecker functionality to TinyMCE by providing a
new button that performs a AJAX call to a backend PHP page that uses
PSpell/ASpell or Google spellchecker.
Comment 1 Neal Gompa 2010-06-28 03:47:36 EDT
Oops, I added an explicit BuildRequires when I shouldn't have, and I Require'd a package that doesn't exist anymore as a separate package. Fixed and updated it!

Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker.spec
SRPM URL:
http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker-2.0.3-2.fc12.src.rpm
Comment 2 Neal Gompa 2011-07-11 23:47:04 EDT
Updated to the latest version, added utf-8 and unix lf conversion to package script

Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker-2.0.5-3.fc12.src.rpm
Comment 3 Tim Lauridsen 2011-07-25 13:07:01 EDT
I will review this package
Comment 4 Tim Lauridsen 2011-07-26 01:02:27 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/tim/tmp/reviewhelper/608575/tinymce_spellchecker_php_2_0_5.zip :
          MD5SUM this package     : bea88e531a784a9459b28c5cac9c4c66
          MD5SUM upstream package : bea88e531a784a9459b28c5cac9c4c66
        
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint tinymce-spellchecker-2.0.5-3.fc16.src.rpm
        ================================================================================
        tinymce-spellchecker.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint tinymce-spellchecker-2.0.5-3.fc16.noarch.rpm
        ================================================================================
        tinymce-spellchecker.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[*] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[*] : MUST - Package contains no bundled libraries.
[*] : MUST - Changelog in prescribed format.
[*] : MUST - Sources contain only permissible code or content.
[*] : MUST - Macros in Summary, %description expandable at SRPM build time.
[*] : MUST - Package requires other packages for directories it uses.
[*] : MUST - Package uses nothing in %doc for runtime.
[*] : MUST - Package is not known to require ExcludeArch.
[*] : MUST - Permissions on files are set properly.
[*] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[*] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[*] : MUST - License field in the package spec file matches the actual license.
[*] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[*] : MUST - Package meets the Packaging Guidelines.
[*] : MUST - Package does not generates any conflict.
[*] : MUST - Package does not contains kernel modules.
[*] : MUST - Package contains no static executables.
[*] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[*] : MUST - Package must own all directories that it creates.
[*] : MUST - Package does not own files or directories owned by other packages.
[*] : MUST - Package installs properly.
[*] : MUST - Rpath absent or only used for internal libs.
[*] : MUST - Package is not relocatable.
[*] : MUST - Requires correct, justified where necessary.
[*] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[*] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0:	http://cloud.github.com/downloads/tinymce/tinymce/tinymce_spellchecker_php_%{ver}.zip (tinymce_spellchecker_php_%{ver}.zip)
        
[!] : SHOULD - Spec use %global instead of %define.
        %define		ver %(echo %{version} | tr . _)
        %define		_plugindir	%{_datadir}/tinymce/jscripts/tiny_mce/plugins
        
[*] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[*] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[*] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?] : SHOULD - Package functions as described.
[*] : SHOULD - Latest version is packaged.
[*] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[*] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[*] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:
[!] : MUST - Rpmlint output is silent.
        
        rpmlint tinymce-spellchecker-2.0.5-3.fc16.src.rpm
        ================================================================================
        tinymce-spellchecker.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint tinymce-spellchecker-2.0.5-3.fc16.noarch.rpm
        ================================================================================
        tinymce-spellchecker.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
This is ok

[!] : SHOULD - Spec use %global instead of %define.
        %define		ver %(echo %{version} | tr . _)
        %define		_plugindir	%{_datadir}/tinymce/jscripts/tiny_mce/plugins

please use %global instead of %define
Comment 5 Tim Lauridsen 2011-07-26 01:05:27 EDT
APPROVED

fix the minor issue before import into git
Comment 6 Neal Gompa 2011-07-26 01:21:15 EDT
Updated spec to use %global, though I'm not sure why... Also changed the spelling of "backend" to "back-end" to shut rpmlint up about it.

Spec URL: http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker.spec
SRPM URL:
http://kinginuyasha.enanocms.org/downloads/tinymce-spellchecker-2.0.5-4.fc15.src.rpm
Comment 7 Neal Gompa 2011-07-26 01:24:12 EDT
I'd appreciate if someone could later step up and co-maintain this package. I
don't have the time to fully devote to this package, or the knowledge needed to
patch the software if bugs arise. I won't list a co-maintainer for now, but I'd
like someone to step up by September.

New Package SCM Request
=======================
Package Name: tinymce-spellchecker
Short Description: TinyMCE spellchecker plugin
Owners: ngompa
Branches: f14 f15 el4 el5 el6
InitialCC: rhe
Comment 8 Gwyn Ciesla 2011-07-26 06:05:42 EDT
Git done (by process-git-requests).
Comment 9 Tim Lauridsen 2011-07-26 06:32:14 EDT
(In reply to comment #6)
> Updated spec to use %global, though I'm not sure why...

http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
Comment 10 Parag AN(पराग) 2011-11-21 04:18:51 EST
Let's not to waste the workdone here. If the submitter will not respond or build the package within a week then I can give a try to build and submit it via bodhi.
Comment 11 Fedora Update System 2011-11-28 00:35:42 EST
tinymce-spellchecker-2.0.5-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tinymce-spellchecker-2.0.5-5.fc15
Comment 12 Fedora Update System 2011-11-28 00:35:50 EST
tinymce-spellchecker-2.0.5-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tinymce-spellchecker-2.0.5-5.fc16
Comment 13 Fedora Update System 2011-11-28 19:13:02 EST
Package tinymce-spellchecker-2.0.5-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinymce-spellchecker-2.0.5-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16528/tinymce-spellchecker-2.0.5-5.fc15
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-12-10 14:39:59 EST
tinymce-spellchecker-2.0.5-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-12-10 14:42:21 EST
tinymce-spellchecker-2.0.5-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-12-12 04:53:55 EST
tinymce-spellchecker-2.0.5-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tinymce-spellchecker-2.0.5-5.el6
Comment 17 Fedora Update System 2011-12-20 15:03:19 EST
tinymce-spellchecker-2.0.5-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Neal Gompa 2012-04-08 07:50:41 EDT
I'm sorry that I've not been responding. School is all-consuming. This is the reason I requested some sort of co-maintainership, because I cannot dedicate much of my energy to this.

Note You need to log in before you can comment on or make changes to this bug.